## org.apache.hadoop.mapred
Class QueueAclsInfo

    java.lang.Object
      org.apache.hadoop.mapred.QueueAclsInfo

All Implemented Interfaces:
  Writable

    public class QueueAclsInfo

extends Object
implements Writable

Class to encapsulate Queue ACLs for a particular user.

Constructor Summary
`QueueAclsInfo()` Default constructor for QueueAclsInfo.
`QueueAclsInfo(String queueName, String[] operations)` Construct a new QueueAclsInfo object using the queue name and the queue operations array

Method Summary
`String[]` `getOperations()`
`String` `getQueueName()`
`void` `readFields(DataInput in)` Deserialize the fields of this object from `in`.
`protected void` `setQueueName(String queueName)`
`void` `write(DataOutput out)` Serialize the fields of this object to `out`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueueAclsInfo

    public QueueAclsInfo()

  Default constructor for QueueAclsInfo.

### QueueAclsInfo

    public QueueAclsInfo(String queueName,
                         String[] operations)

  Construct a new QueueAclsInfo object using the queue name and the queue operations array

  Parameters:
    `queueName` - Name of the job queue
    `queue` - operations

Method Detail

### getQueueName

    public String getQueueName()

### setQueueName

    protected void setQueueName(String queueName)

### getOperations

    public String[] getOperations()

### readFields

    public void readFields(DataInput in)
                    throws IOException

  Description copied from interface: `Writable`
  Deserialize the fields of this object from `in`.

  For efficiency, implementations should attempt to re-use storage in the existing object where possible.

  Specified by:
    `readFields` in interface `Writable`
  Parameters:
    `in` - `DataInput` to deseriablize this object from.
  Throws:
    `IOException`

### write

    public void write(DataOutput out)
               throws IOException

  Description copied from interface: `Writable`
  Serialize the fields of this object to `out`.

  Specified by:
    `write` in interface `Writable`
  Parameters:
    `out` - `DataOuput` to serialize this object into.
  Throws:
    `IOException`

Copyright © 2009 The Apache Software Foundation